pcl::Functor< _Scalar, NX, NY > Struct Template Reference

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) dependening on the choosen _Scalar. More...

`#include <pcl/sample_consensus/sac_model.h>`

## Public Types

enum | { InputsAtCompileTime = NX, ValuesAtCompileTime = NY }
typedef _Scalar | Scalar
typedef Eigen::Matrix< Scalar, ValuesAtCompileTime, 1 > | ValueType
typedef Eigen::Matrix< Scalar, InputsAtCompileTime, 1 > | InputType
typedef Eigen::Matrix< Scalar, ValuesAtCompileTime, InputsAtCompileTime > | JacobianType

## Public Member Functions

| Functor ()
| Empty Construtor. More...
| Functor (int m_data_points)
| Constructor. More...
virtual | ~Functor ()
int | values () const
| Get the number of values. More...

## Detailed Description

### template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>
struct pcl::Functor< _Scalar, NX, NY >

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) dependening on the choosen _Scalar.

Definition at line 619 of file sac_model.h.

## Member Typedef Documentation

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<Scalar,InputsAtCompileTime,1> pcl::Functor< _Scalar, NX, NY >::InputType

Definition at line 629 of file sac_model.h.

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<Scalar,ValuesAtCompileTime,InputsAtCompileTime> pcl::Functor< _Scalar, NX, NY >::JacobianType

Definition at line 630 of file sac_model.h.

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef _Scalar pcl::Functor< _Scalar, NX, NY >::Scalar

Definition at line 621 of file sac_model.h.

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

typedef Eigen::Matrix<Scalar,ValuesAtCompileTime,1> pcl::Functor< _Scalar, NX, NY >::ValueType

Definition at line 628 of file sac_model.h.

## Member Enumeration Documentation

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

anonymous enum

Enumerator
InputsAtCompileTime |
ValuesAtCompileTime |

Definition at line 622 of file sac_model.h.

## Constructor & Destructor Documentation

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::Functor< _Scalar, NX, NY >::Functor | ( |  | ) |

inline

Empty Construtor.

Definition at line 633 of file sac_model.h.

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::Functor< _Scalar, NX, NY >::Functor | ( | int | m_data_points | ) |

inline

Constructor.

Parameters

  [in] | m_data_points | number of data points to evaluate.

Definition at line 638 of file sac_model.h.

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

virtual pcl::Functor< _Scalar, NX, NY >::~Functor | ( |  | ) |

inline virtual

Definition at line 640 of file sac_model.h.

## Member Function Documentation

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::Functor< _Scalar, NX, NY >::values | ( |  | ) | const

inline

Get the number of values.

Definition at line 644 of file sac_model.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/sample_consensus/include/pcl/sample_consensus/sac_model.h